clang-tools 10.0.0

Namespaces | Macros
FindTargetTests.cpp File Reference
`#include "FindTarget.h"`
`#include "Selection.h"`
`#include "TestTU.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include "llvm/Testing/Support/Annotations.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
`#include <initializer_list>`
Include dependency graph for FindTargetTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | EXPECT_DECLS(NodeType, ...)

## Macro Definition Documentation

## ◆ EXPECT_DECLS

#define EXPECT_DECLS | ( |  | NodeType,
|  |  | ...
| ) |  |

Value:
EXPECT_THAT(assertNodeAndPrintDecls(NodeType), \
::testing::UnorderedElementsAreArray( \
std::vector<PrintedDecl>({__VA_ARGS__}))) \
<< Code
Code
std::string Code
Definition: FindTargetTests.cpp:67

Definition at line 98 of file FindTargetTests.cpp.

## Variable Documentation

## ◆ AnnotatedCode

std::string AnnotatedCode

Definition at line 552 of file FindTargetTests.cpp.

## ◆ Code

std::string Code
| protected

Definition at line 67 of file FindTargetTests.cpp.

Referenced by clang::clangd::asCommand(), clang::clangd::TweakTest::expandCases(), clang::include_fixer::IncludeFixerSemaSource::MaybeDiagnoseMissingCompleteType(), and clang::clangd::ClangdServer::switchSourceHeader().

## ◆ DumpedReferences

std::string DumpedReferences

Definition at line 553 of file FindTargetTests.cpp.

## ◆ Flags

std::vector<const char *> Flags
| protected

Definition at line 68 of file FindTargetTests.cpp.

## ◆ Name

std::string Name

Definition at line 48 of file FindTargetTests.cpp.

## ◆ Relations

DeclRelationSet Relations

Definition at line 49 of file FindTargetTests.cpp.